import { useState, useEffect } from 'react'
import { Modal, TreeSelect, App } from 'antd'
import { getChapterEditors, updateChapterEditors } from '../api'

const EditChapterEditors = ({ chapter = {}, onOk, ...props }) => {
  const { message } = App.useApp()

  const [value, setValue] = useState('')
  const [treeData, setTreeData] = useState([
    {
      id: '1',
      name: '项目一：初识商务数据分析',
      children: [
        {
          id: '1-1',
          name: '任务一：人人都需要商务数据分析',
          children: [
            {
              id: '1-1-1',
              name: ' 商务数据分析就业情况',
              children: [
                {
                  id: '1-1-1-1',
                  name: ' 商务数据分析师岗位'
                },
                {
                  id: '1-1-1-2',
                  name: ' 商务数据分析师的市场优势'
                },
                {
                  id: '1-1-1-3',
                  name: ' 商务数据分析师的工作职责'
                }
              ]
            }
          ]
        }
      ]
    }
  ])
  useEffect(() => {
    getChapterEditors({ book_id: chapter.book_id, chapter_id: chapter.id }).then(res => {
      const value = res.data.selected_editor_ids[0] || ''
      setValue(value)
    })
  }, [chapter])

  const handleSubmit = async () => {
    message.success('关联成功')
    onOk?.()
  }

  return (
    <Modal title="关联知识图谱" centered {...props} onOk={handleSubmit}>
      <TreeSelect
        showSearch
        treeDefaultExpandAll
        treeData={treeData}
        fieldNames={{ label: 'name', value: 'id' }}
        style={{ width: '100%' }}></TreeSelect>
    </Modal>
  )
}

export default EditChapterEditors
